%define upstream_name    WebService-Validator-HTML-W3C
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Warning messages from the W3Cs online Validator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
WebService::Validator::HTML::W3C provides access to the W3C's online Markup
validator. As well as reporting on whether a page is valid it also provides
access to a detailed list of the errors and where in the validated document
they occur.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.280.0-10.mga8
+ Revision: 1498232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.280.0-9.mga7
+ Revision: 1272597
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-8.mga6
+ Revision: 1035699
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.280.0-7.mga6
+ Revision: 933119
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-6.mga5
+ Revision: 743581
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.280.0-5.mga5
+ Revision: 732615
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 686883
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 516021
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 374854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 201083
- update to 0.28
- update to 0.27

* Thu Jan 20 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 27244
- mageia rebuild
- imported package perl-WebService-Validator-HTML-W3C

